Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031377
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2015-11-05 16:512015-11-23 21:17
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisione43fcd8f3d3a
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031377: Current combo value is not selected when opening drop down list with the keyboard

DescriptionCurrent combo value is not selected when opening drop down list with the keyboard. Since issue[1] when clicking on any combo to display the drop-down, the value is selected in order to ease user edition.

To have an homogeneous behavior when working with the keyboard, the current value should be selected in this case also.
Steps To Reproduce1) Go to Sales Order
2) Create a new Order in form view
3) Click on the drop-down arrow for "Organization" field (the combo value is selected)
4) Type ALT+keyboard down for "Organization" field (the combo value is not selected)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031274 closedcaristu current combo value is not selected when opening drop down list with mouse in form view 

-  Notes
(0081539)
hgbot (developer)
2015-11-05 19:02

Repository: erp/devel/pi
Changeset: e43fcd8f3d3ae3adb80ae6075e5178b89a02948f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Nov 05 19:00:37 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e43fcd8f3d3ae3adb80ae6075e5178b89a02948f [^]

fixes issue 31377: Combo value not selected after open drop-down with keyboard

Now the behavior of the combos when opening the drop-down with the keyboard is the same as when clicking on the arrow button with the mouse.

To solve this problem the handleKeyPress function is overriden to select the current combo value when ALT + keyboard down shortcut is pressed. Also it is checked that the combo is on a valid state before showing the drop-down.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-combo.js
---
(0081540)
caristu (developer)
2015-11-05 19:03

Added test cases to TestLink:

- Grid view: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9914 [^]

- Form view: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9915 [^]
(0081608)
alostale (developer)
2015-11-09 09:49

code reviewed

tested:

Value is selected when drop down is opened in with keyboard (ALT+key down) both in grid and form view for table, tableDir and list references.
(0082183)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-05 16:51 caristu New Issue
2015-11-05 16:51 caristu Assigned To => caristu
2015-11-05 16:51 caristu Modules => Core
2015-11-05 16:51 caristu Triggers an Emergency Pack => No
2015-11-05 16:51 caristu Relationship added related to 0031274
2015-11-05 19:02 hgbot Checkin
2015-11-05 19:02 hgbot Note Added: 0081539
2015-11-05 19:02 hgbot Status new => resolved
2015-11-05 19:02 hgbot Resolution open => fixed
2015-11-05 19:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e43fcd8f3d3ae3adb80ae6075e5178b89a02948f [^]
2015-11-05 19:03 caristu Note Added: 0081540
2015-11-05 19:13 caristu Review Assigned To => alostale
2015-11-05 19:13 caristu Issue Monitored: alostale
2015-11-09 09:49 alostale Note Added: 0081608
2015-11-09 09:49 alostale Status resolved => closed
2015-11-09 09:49 alostale Fixed in Version => 3.0PR16Q1
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082183


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker